## taglib 1.6

=== tests/CMakeLists.txt ===
if(BUILD_TESTS)

INCLUDE_DIRECTORIES(
  ${CMAKE_CURRENT_SOURCE_DIR}/../taglib
  ${CMAKE_CURRENT_SOURCE_DIR}/../taglib/toolkit
  ${CMAKE_CURRENT_SOURCE_DIR}/../taglib/asf
  ${CMAKE_CURRENT_SOURCE_DIR}/../taglib/mpeg/id3v1
  ${CMAKE_CURRENT_SOURCE_DIR}/../taglib/mpeg/id3v2
  ${CMAKE_CURRENT_SOURCE_DIR}/../taglib/mpeg/id3v2/frames
  ${CMAKE_CURRENT_SOURCE_DIR}/../taglib/mpeg
  ${CMAKE_CURRENT_SOURCE_DIR}/../taglib/mp4
  ${CMAKE_CURRENT_SOURCE_DIR}/../taglib/riff
  ${CMAKE_CURRENT_SOURCE_DIR}/../taglib/riff/aiff
  ${CMAKE_CURRENT_SOURCE_DIR}/../taglib/trueaudio
  ${CMAKE_CURRENT_SOURCE_DIR}/../taglib/ogg
  ${CMAKE_CURRENT_SOURCE_DIR}/../taglib/ogg/vorbis
)

SET(test_runner_SRCS
  main.cpp
  test_list.cpp
  test_map.cpp
  test_mpeg.cpp
  test_synchdata.cpp
  test_trueaudio.cpp
  test_bytevector.cpp
  test_bytevectorlist.cpp
  test_string.cpp
  test_fileref.cpp
  test_id3v1.cpp
  test_id3v2.cpp
  test_xiphcomment.cpp
  test_aiff.cpp
  test_riff.cpp
  test_ogg.cpp
)
IF(WITH_MP4)
   SET(test_runner_SRCS ${test_runner_SRCS} test_mp4.cpp)
ENDIF(WITH_MP4)

IF(WITH_ASF)
   SET(test_runner_SRCS ${test_runner_SRCS} test_asf.cpp)
ENDIF(WITH_ASF)

ADD_EXECUTABLE(test_runner ${test_runner_SRCS})
TARGET_LINK_LIBRARIES(test_runner tag ${CPPUNIT_LIBRARIES})

ADD_CUSTOM_TARGET(check
    ./test_runner
    DEPENDS test_runner
)

endif(BUILD_TESTS)

=== taglib/mp4/CMakeLists.txt ===
INSTALL( FILES  mp4file.h mp4atom.h mp4tag.h mp4item.h mp4properties.h DESTINATION ${INCLUDE_INSTALL_DIR}/taglib)

## taglib 1.6.3

=== CMakeLists.txt ===
project(taglib)

cmake_minimum_required(VERSION 2.6.0 FATAL_ERROR)

OPTION(ENABLE_STATIC "Make static version of libtag"  OFF)

OPTION(BUILD_TESTS "Build the test suite"  OFF)
OPTION(BUILD_EXAMPLES "Build the examples"  OFF)

OPTION(NO_ITUNES_HACKS "Disable workarounds for iTunes bugs"  OFF)
OPTION(WITH_ASF "Enable ASF tag reading/writing code"  OFF)
OPTION(WITH_MP4 "Enable MP4 tag reading/writing code"  OFF)

add_definitions(-DHAVE_CONFIG_H)

#add some KDE specific stuff
set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set(EXEC_INSTALL_PREFIX  ${CMAKE_INSTALL_PREFIX}       CACHE PATH  "Base directory for executables and libraries" FORCE)
#
## the following are directories where stuff will be installed to
set(BIN_INSTALL_DIR          "${EXEC_INSTALL_PREFIX}/bin"    CACHE PATH "The subdirectory to the binaries prefix (default prefix/bin)" FORCE)
set(LIB_INSTALL_DIR          "${EXEC_INSTALL_PREFIX}/lib${LIB_SUFFIX}"     CACHE PATH "The subdirectory relative to the install prefix where libraries will be installed (default is /lib${LIB_SUFFIX})" FORCE)
set(INCLUDE_INSTALL_DIR      "${CMAKE_INSTALL_PREFIX}/include"             CACHE PATH "The subdirectory to the header prefix" FORCE)

if (CMAKE_COMPILER_IS_GNUCXX)
   if (CMAKE_SYSTEM_NAME MATCHES Linux)
     set ( CMAKE_C_FLAGS     "${CMAKE_C_FLAGS} -Wno-long-long -ansi -Wundef -Wcast-align -Werror-implicit-function-declaration -Wchar-subscripts -Wall -W -Wpointer-arith -Wwrite-strings -Wformat-security -Wmissing-format-attribute -fno-common")
     set ( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wwrite-strings -Wformat-security -fno-check-new -fno-common")
   endif (CMAKE_SYSTEM_NAME MATCHES Linux)
endif (CMAKE_COMPILER_IS_GNUCXX)
if(MSVC)
  if (MSVC_VERSION GREATER 1399)
    # If using Visual C++ 2005 (MSVC80) and greater (MSVC_VERSION=1400)
    add_definitions(/D_CRT_SECURE_NO_DEPRECATE /D_CRT_NONSTDC_NO_DEPRECATE /Zc:wchar_t-)
  endif (MSVC_VERSION GREATER 1399)
endif(MSVC)
if (WIN32)
  set(CMAKE_DEBUG_POSTFIX "d")
endif (WIN32)

SET(TAGLIB_LIB_MAJOR_VERSION "1")
SET(TAGLIB_LIB_MINOR_VERSION "6")
SET(TAGLIB_LIB_PATCH_VERSION "3")

SET(TAGLIB_LIB_VERSION_STRING "${TAGLIB_LIB_MAJOR_VERSION}.${TAGLIB_LIB_MINOR_VERSION}.${TAGLIB_LIB_PATCH_VERSION}")


include(ConfigureChecks.cmake)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/taglib-config.cmake ${CMAKE_CURRENT_BINARY_DIR}/taglib-config )

if(NOT WIN32)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/taglib.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/taglib.pc )
endif(NOT WIN32)
include_directories(${CMAKE_CURRENT_BINARY_DIR})
configure_file(config-taglib.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )

if(WITH_ASF)
    set(TAGLIB_WITH_ASF TRUE)
endif(WITH_ASF)
if(WITH_MP4)
    set(TAGLIB_WITH_MP4 TRUE)
endif(WITH_MP4)
configure_file(taglib/taglib_config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/taglib_config.h )
install( FILES  ${CMAKE_CURRENT_BINARY_DIR}/taglib_config.h DESTINATION ${INCLUDE_INSTALL_DIR}/taglib)

ADD_SUBDIRECTORY( taglib ) 

ADD_SUBDIRECTORY(tests)
ADD_SUBDIRECTORY(examples)

ADD_SUBDIRECTORY(bindings)
if(NOT WIN32)
  install( FILES  ${CMAKE_CURRENT_BINARY_DIR}/taglib.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig )
endif(NOT WIN32)

INSTALL( PROGRAMS  ${CMAKE_CURRENT_BINARY_DIR}/taglib-config DESTINATION ${BIN_INSTALL_DIR})

=== debian/changelog ===
taglib (1.6.3-1) unstable; urgency=low

  * New upstream release:
    - fixes a problem with ID3v2 APIC frame parsing (Closes: #577990).
  * Update symbol files for new release.
  * Remove duplicate "Section" fields from debian/control.
  * Bump libtag1c2a shlibs to 1.6.3.

 -- Modestas Vainius <modax@debian.org>  Mon, 17 May 2010 01:43:14 +0300

taglib (1.6.2-1) unstable; urgency=low

  * New upstream release.
  * Remove DMUA field from debian/control. I'm a DD now.
  * Git repository moved to my new DD account on alioth. Change Vcs fields in
    debian/control accordingly.
  * Update libtag1-vanilla symbol file, bump libtag1-{vanilla,rusxmms} shlibs.
  * Override lintian "taglib source: outdated-autotools-helper-file". Package
    does not use autotools anyway.
  * Change maintainer email address to @debian.org one.
  * Bump Standards-Version to 3.8.4: no changes needed.

 -- Modestas Vainius <modax@debian.org>  Fri, 09 Apr 2010 23:58:57 +0300

taglib (1.6.1-1) unstable; urgency=low

  * New upstream release.
  * Remove all patches, merged upstream:
    - general/add_missing_exports_fix.diff
    - general/gcc_visibility_feature.diff
    - general/link_interface_libraries_fix.diff
    - general/taglib_c_pc_fix.diff
  * Switch to dpkg-source v3 format:
    - do not use quilt dh addon anymore.
  * Update install files.
  * Update libtag1-vanilla.symbols file: new symbols added.
  * Use Conflicts rather than Breaks for libtag-extras0 (as lintian insists).
  * Bump shlibs to 1.6.1 in debian/rules.

 -- Modestas Vainius <modestas@vainius.eu>  Mon, 02 Nov 2009 01:48:01 +0200

taglib (1.6-3) unstable; urgency=low

  * Fix 'optional' tags in symbols file.
  * Release to unstable.

 -- Modestas Vainius <modestas@vainius.eu>  Mon, 21 Sep 2009 22:32:22 +0300

taglib (1.6-2) experimental; urgency=low

  * Build with ASF (-DWITH_ASF=ON) and MP4 (-DWITH_MP4=ON). Update symbols
    file and libtag1c2a shlibs accordingly.
  * This release breaks libtaglib-extras0. Add Breaks: to libtag1c2a and
    libtag1-* packages.

 -- Modestas Vainius <modestas@vainius.eu>  Thu, 17 Sep 2009 23:20:26 +0300

taglib (1.6-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.3 (no changes needed).
  * Drop general/recognize_oga_files_fix.diff patch, merged upstream.
  * Refresh other patches.
  * Refresh rusxmms patch.
  * Update install files.
  * Update symbols file.
  * Bump shlibs of libtag1-* to 1.6.

 -- Modestas Vainius <modestas@vainius.eu>  Tue, 15 Sep 2009 22:13:51 +0300

taglib (1.5-7) unstable; urgency=low

  * Fix Vcs-Browser URL.
  * Convert symbol files to dpkg-dev 1.15.3 compat format:
    - drop build dependency on pkg-kde-tools and remove its references from
      debian/rules;
    - add dpkg-dev (>= 1.15.3) to build depends;
    - convert and rename debian/*.symbols.in to dpkg-dev 1.15.3 compatible
      format.
  * Use dh --with quilt rather than quilt make snippet:
    - build depend on quilt (>= 0.46-7~);
    - adjust debian/rules accordingly.
  * Clean up topgit stuff.
  * Get rid of the build branch: update debian/README.source.
  * Make use of debhelper 7.3 cmake / build directory support:
    - build depend on debhelper (>= 7.3);
    - debian/rules rewritten to use dh_auto and otherwise simplified.
  * Fix taglib_c.pc (patch general/taglib_c_pc_fix.diff) (Closes: #524696).
  * Recognize .oga files as OGGs (patch general/recognize_oga_files_fix.diff)
    (Closes: #525571).
  * Bump Standards-Version to 3.8.2. No changes needed.

 -- Modestas Vainius <modestas@vainius.eu>  Sat, 25 Jul 2009 04:09:33 +0300

taglib (1.5-6) unstable; urgency=low

  * Fix potential rusxmms patching breakage in case there were no regular
    patches.
  * Build depend on debhelper 7.2.7, drop a hack needed for previous dh and
    make use of --remaining-packages option for dh_makeshlibs.
  * Fix debian/watch file.
  * Upload to unstable.

 -- Modestas Vainius <modestas@vainius.eu>  Sat, 28 Mar 2009 16:01:43 +0200

taglib (1.5-5) experimental; urgency=low

  * Port buildsystem from cdbs to debhelper v7 (>= 7.0.50). cmake
    support implemented via dh_overrides.
  * Pass CMAKE_USE_RELATIVE_PATHS=ON to cmake. Hence build depend on
    cmake 2.6.2.
  * Strip debian/tmp from debian/*.install files. Not needed with dh v7.
  * Add RusXMMS support (Closes: #384573):
    - RusXMMS patch contributed by Ivan Borzenkov, thanks;
    - add two libtag1 flavours: vanilla (libtag1-vanilla) and rusxmms
      libtag1-rusxmms);
    - new libtag1-* flavours replaces old libtag1c2a;
    - libtag1c2a becomes a metapackage which depends on either of flavours
      via alternate depends. Both libtag1-vanilla and libtag1-rusxmms export
      themselves as libtag1c2a via shlibs/symbol files;
    - rework buildsystem and build both flavours in their own build directories
      (builddir-vanilla and builddir-rusxmms);
    - employ some quilt on-the-fly patching hacks to patch and unpatch source
      with rusxmms patch as needed;
    - build depend on librcc-dev. RusXMMS needs it;
    - add more lintian-overrides as the changes above triggered them.
  * Get rid of old conflicts/replaces of the libtag1c2a package.

 -- Modestas Vainius <modestas@vainius.eu>  Fri, 20 Mar 2009 01:36:31 +0200

taglib (1.5-4) unstable; urgency=low

  * Drop Adeodato Simó from Uploaders by his request. Thanks for your work!
  * Build depend on pkg-kde-tools (>= 0.4) and switch libtag1c2a symbol file
    handling to pkgkde-symbolshelper instead of custom implementation. This
    should fix FTBFS on kfreebsd-amd64 (Closes: #494276).
  * Migrate patch handling to topgit. As a result, patches were renamed:
    - 01_gcc_visibility.diff -> general/gcc_visibility_feature.diff;
    - 02_export_public_functions.diff -> general/add_missing_exports_fix.diff;
    - 96_link_interface_libraries.diff -> 
      general/link_interface_libraries_fix.diff.
  * Add README.source about topgit/quilt.


=== debian/control ===
Source: taglib
Section: libs
Priority: optional
Maintainer: Modestas Vainius <modax@debian.org>
Build-Depends: cmake (>= 2.6.2), debhelper (>= 7.3), dpkg-dev (>= 1.15.3), quilt (>= 0.46-7~), zlib1g-dev, librcc-dev
Build-Depends-Indep: doxygen, graphviz, gsfonts-x11
Standards-Version: 3.8.4
Homepage: http://developer.kde.org/~wheeler/taglib.html
Vcs-Git: git://git.debian.org/users/modax/taglib.git
Vcs-Browser: http://git.debian.org/?p=users/modax/taglib.git;a=summary

Package: libtag1c2a
Architecture: any
Depends: libtag1-vanilla (= ${binary:Version}) | libtag1-rusxmms (= ${binary:Version}), ${misc:Depends}
Conflicts: libtag-extras0
Description: TagLib Audio Meta-Data Library
 TagLib is a library for reading and editing the meta-data of several popular
 audio formats. Currently it supports both ID3v1 and ID3v2 for MP3 files, Ogg
 Vorbis comments and ID3 tags and Vorbis comments in FLAC files.
 .
 This package is the main metapackage for the TagLib Audio Meta-Data Library.
 Packages using TagLib should depend on this package rather than specific
 TagLib flavour. Vanilla (original) flavour is default. Alternatively you may
 install RusXMMS flavour which can be found in the libtag1-rusxmms package.

Package: libtag1-vanilla
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libtag1-rusxmms, libtag-extras0
Replaces: libtag1c2a (<< 1.5-5)
Description: TagLib Audio Meta-Data Library (Vanilla flavour)
 TagLib is a library for reading and editing the meta-data of several popular
 audio formats. Currently it supports both ID3v1 and ID3v2 for MP3 files, Ogg
 Vorbis comments and ID3 tags and Vorbis comments in FLAC files.
 .
 This is the runtime package for programs that use the TagLib Audio Meta-Data
 Library. This package contains original and unpatched flavour of the library.

Package: libtag1-rusxmms
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libtag1-vanilla, libtag-extras0
Replaces: libtag1c2a (<< 1.5-5)
Description: TagLib Audio Meta-Data Library (RusXMMS flavour)
 TagLib is a library for reading and editing the meta-data of several popular
 audio formats. Currently it supports both ID3v1 and ID3v2 for MP3 files, Ogg
 Vorbis comments and ID3 tags and Vorbis comments in FLAC files.
 .
 This is the RusXMMS flavour of the TagLib Audio Meta-Data Library. It is
 patched with RusXMMS patch and adds support for autodetection of cyrillic
 encodings under Russian/Ukrainian/Belarusian locales.

Package: libtag1-dev
Section: libdevel
Architecture: any
Depends: libtag1c2a (= ${binary:Version}), ${misc:Depends}
Description: TagLib Audio Meta-Data Library [development]
 TagLib is a library for reading and editing the meta-data of several popular
 audio formats. Currently it supports both ID3v1 and ID3v2 for MP3 files, Ogg
 Vorbis comments and ID3 tags and Vorbis comments in FLAC files.
 .
 This is the development package which contains headers and static libraries
 for the TagLib Audio Meta-Data Library.

Package: libtag1-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libtag1-dev
Description: TagLib Audio Meta-Data Library [documentation]
 TagLib is a library for reading and editing the meta-data of several popular
 audio formats. Currently it supports both ID3v1 and ID3v2 for MP3 files, Ogg
 Vorbis comments and ID3 tags and Vorbis comments in FLAC files.
 .
 This is the documentation package which contains API documentation for the
 TagLib Audio Meta-Data Library.

Package: libtagc0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: TagLib Audio Meta-Data Library (C bindings)
 TagLib is a library for reading and editing the meta-data of several popular
 audio formats. Currently it supports both ID3v1 and ID3v2 for MP3 files, Ogg
 Vorbis comments and ID3 tags and Vorbis comments in FLAC files.
 .
 This is the runtime package for programs that use the TagLib Audio Meta-Data
 Library (C bindings).

Package: libtagc0-dev
Section: libdevel
Architecture: any
Depends: libtagc0 (= ${binary:Version}), libtag1-dev (= ${binary:Version}), ${misc:Depends}
Description: TagLib Audio Meta-Data Library (C bindings) [development]
 TagLib is a library for reading and editing the meta-data of several popular
 audio formats. Currently it supports both ID3v1 and ID3v2 for MP3 files, Ogg
 Vorbis comments and ID3 tags and Vorbis comments in FLAC files.
 .
 This is the development package which contains headers and static libraries
 for the TagLib Audio Meta-Data Library (C bindings).

=== debian/rules ===
#! /usr/bin/make -f

ifneq (,$(shell which tg))
QUILT_PATCH_DIR := debian/patches
include /usr/share/topgit/tg2quilt.mk
endif

export CFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden
export CXXFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden
CMAKE_ARGS = -DCMAKE_USE_RELATIVE_PATHS=ON -DWITH_ASF=ON -DWITH_MP4=ON

FLAVOURS := vanilla rusxmms
flavour = $(filter-out %-,$(subst -,- ,$@))
builddir = builddir-$(flavour)

# Various "functions" (can be invoked via $(call ...))
buildstamp = $(patsubst %,debian/stamp-build-%,$(1))
dh_auto = dh_auto_$(1) --buildsystem=cmake --builddirectory=$(2)
quilt_safe = $(QUILT) $(1) || test $$? = 2

QUILT := quilt --quiltrc /dev/null
DH := dh $(filter-out dh_auto_% --builddirectory%,$(dh_auto))
MAKE_ME = $(MAKE) -f debian/rules

### Handle patching of rusxmms flavour ###
RUSXMMS_PATCH_DIR := debian/rusxmms-patches
RUSXMMS_PATCH_SERIES := debian/rusxmms-patches/series

$(RUSXMMS_PATCH_SERIES):
	cat $(wildcard debian/patches/series) $(RUSXMMS_PATCH_DIR)/rusxmms_series > $@

debian/stamp-patch-rusxmms: $(RUSXMMS_PATCH_SERIES)
	QUILT_PATCHES="$(RUSXMMS_PATCH_DIR)" $(call quilt_safe,push -a)
	touch $@

unpatch-rusxmms: $(RUSXMMS_PATCH_SERIES)
	lastpatch="$(shell QUILT_SERIES=debian/patches/series $(QUILT) series | tail -n1)"; \
	if [ -z "$$lastpatch" ]; then \
	    QUILT_PATCHES="$(RUSXMMS_PATCH_DIR)" $(call quilt_safe,pop -a); \
	elif $(QUILT) applied | grep -qF $$lastpatch; then \
	    QUILT_PATCHES="$(RUSXMMS_PATCH_DIR)" $(call quilt_safe,pop $$lastpatch); \
	fi

### Build rusxmms first, then build vanilla ###
$(call buildstamp,$(FLAVOURS)):
	@echo Building $(flavour)
	$(call dh_auto,configure,$(builddir)) -- $(CMAKE_ARGS)
	$(call dh_auto,build,$(builddir))
	touch $@

$(call buildstamp,rusxmms): debian/stamp-patch-rusxmms
$(call buildstamp,vanilla): | unpatch-rusxmms

build:
	$(DH) --before dh_auto_configure $@
	$(MAKE_ME) $(call buildstamp,rusxmms)
	$(MAKE_ME) $(call buildstamp,vanilla)
	# Complete building
	$(DH) $@ --after dh_auto_build $@

### Install / binary building ###
override_dh_auto_install:
	$(call dh_auto,install,builddir-vanilla)
	install -d -m755 debian/tmp-rusxmms/usr/lib/
	cp -a builddir-rusxmms/taglib/libtag.so.* debian/tmp-rusxmms/usr/lib 

override_dh_makeshlibs:
	dh_makeshlibs -plibtag1-vanilla -plibtag1-rusxmms -V'libtag1c2a (>= 1.6.3)'
	dh_makeshlibs -plibtagc0 -V'libtagc0 (>= 1.5)'
	dh_makeshlibs --remaining-packages

override_dh_installdocs:
	dh_installdocs
	# Install bindings README
	if [ -d debian/libtag1c2a ]; then \
	    install -m644 -oroot -groot -T bindings/README debian/libtag1c2a/usr/share/doc/libtag1c2a/README.bindings; \
	fi;

# Generate docs when building indep
doc/html/index.html: | build
	# build-indep gets invoked in buildds as well...
	if [ -x /usr/bin/doxygen ]; then \
	    cd doc && doxygen taglib.doxygen; \
	fi

binary binary-indep: doc/html/index.html

clean: unpatch-rusxmms
	$(call dh_auto,clean,builddir-vanilla)
	$(call dh_auto,clean,builddir-rusxmms)
	rm -rf $(patsubst %,debian/tmp-%,$(FLAVOURS))
	rm -f debian/stamp-*
	rm -f $(RUSXMMS_PATCH_SERIES)
	# Clean documentation
	rm -rf doc/html
	$(DH) clean

# All-in-one dh rule
%:
	$(DH) $@

=== debian/watch ===
version=3
opts="uversionmangle=s/^([\d.]+)([^.\d].+)$/$1~$2/" \
http://developer.kde.org/~wheeler/files/src/taglib-(.+).tar.gz

## taglib 1.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -39,8 +39,8 @@
 endif (WIN32)
 
 SET(TAGLIB_LIB_MAJOR_VERSION "1")
-SET(TAGLIB_LIB_MINOR_VERSION "6")
-SET(TAGLIB_LIB_PATCH_VERSION "3")
+SET(TAGLIB_LIB_MINOR_VERSION "7")
+SET(TAGLIB_LIB_PATCH_VERSION "0")
 
 SET(TAGLIB_LIB_VERSION_STRING "${TAGLIB_LIB_MAJOR_VERSION}.${TAGLIB_LIB_MINOR_VERSION}.${TAGLIB_LIB_PATCH_VERSION}")
 
@@ -75,3 +75,7 @@
 endif(NOT WIN32)
 
 INSTALL( PROGRAMS  ${CMAKE_CURRENT_BINARY_DIR}/taglib-config DESTINATION ${BIN_INSTALL_DIR})
+
+CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.cmake ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile)
+ADD_CUSTOM_TARGET(docs doxygen)
+

=== debian/changelog ===
taglib (1.7-1ubuntu5) precise; urgency=low

  * debian/rules: Drop LP #902603 workaround again, dpkg is really fixed now.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 18 Dec 2011 09:46:21 +0100

taglib (1.7-1ubuntu4) precise; urgency=low

  * Reapply LP #902603 workaround, dpkg fix is incomplete.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 16 Dec 2011 10:45:53 +0100

taglib (1.7-1ubuntu3) precise; urgency=low

  * debian/rules: Drop LP #902603 workaround, dpkg is fixed now.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 15 Dec 2011 11:37:25 +0100

taglib (1.7-1ubuntu2) precise; urgency=low

  * debian/rules: Work around dpkg multi-arch bug by creating an empty stamp
    file named after the build arch. (LP: #902603)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 14 Dec 2011 16:21:16 +0100

taglib (1.7-1ubuntu1) precise; urgency=low

  * Build for multiarch.  Closes: #651019.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 05 Dec 2011 18:26:33 -0800

taglib (1.7-1) unstable; urgency=low

  * New upstream release.
  * Drop topgit support and remove README.source, no longer needed.
  * Bump Standards-Version to 3.9.2: adjust Replaces/Breaks where needed.
  * Simplify debian/rules a bit: use fewer make "functions".
  * Do not care about shlibs anymore since there is a symbol file.
  * Adapt rusxmms_taglib.diff to upstream changes (autotools removal).
  * Clean trailing whitespace from the rusxmms_taglib.diff.
  * Add header to the rusxmms_taglib.diff patch.
  * Update the list of supported formats in the package descriptions.
   (Closes: #613149)
  * Update package synopsis'.
  * Use new way to call doxygen: via `make docs`.
  * Add upstream_doxygen_out_of_source.diff patch to support building
    documentation out-of-the-source tree.
  * Update symbol files.
  * Remove no longer used lintian-overrides.
  * Override jquery.js lintian warning, doxygen adds it.
  * Update install files.

 -- Modestas Vainius <modax@debian.org>  Sat, 09 Apr 2011 19:32:40 +0300

=== debian/control ===
Source: taglib
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Modestas Vainius <modax@debian.org>
Build-Depends: cmake (>= 2.6.2), debhelper (>= 8.1.3~), dpkg-dev (>= 1.15.3), quilt (>= 0.46-7~), zlib1g-dev, librcc-dev
Build-Depends-Indep: doxygen, graphviz, gsfonts-x11
Standards-Version: 3.9.2
Homepage: http://developer.kde.org/~wheeler/taglib.html
Vcs-Git: git://git.debian.org/users/modax/taglib.git
Vcs-Browser: http://git.debian.org/?p=users/modax/taglib.git;a=summary

Package: libtag1c2a
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libtag1-vanilla (= ${binary:Version}) | libtag1-rusxmms (= ${binary:Version}), ${misc:Depends}
Conflicts: libtag-extras0
Description: audio meta-data library
 TagLib is a library for reading and editing the meta-data of several popular
 audio formats. Currently it supports both ID3v1 and ID3v2 for MP3 files, Ogg
 Vorbis comments and ID3 tags and Vorbis comments in FLAC, MPC, Speex, WavPack
 TrueAudio, WAV, AIFF, MP4 and ASF files.
 .
 This package is the main metapackage for the TagLib Audio Meta-Data Library.
 Packages using TagLib should depend on this package rather than specific
 TagLib flavour. Vanilla (original) flavour is default. Alternatively you may
 install RusXMMS flavour which can be found in the libtag1-rusxmms package.

Package: libtag1-vanilla
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libtag1-rusxmms, libtag-extras0
Replaces: libtag1c2a (<< 1.5-5)
Breaks: libtag1c2a (<< 1.5-5)
Description: audio meta-data library - vanilla flavour
 TagLib is a library for reading and editing the meta-data of several popular
 audio formats. Currently it supports both ID3v1 and ID3v2 for MP3 files, Ogg
 Vorbis comments and ID3 tags and Vorbis comments in FLAC, MPC, Speex, WavPack
 TrueAudio, WAV, AIFF, MP4 and ASF files.
 .
 This is the runtime package for programs that use the TagLib Audio Meta-Data
 Library. This package contains original and unpatched flavour of the library.

Package: libtag1-rusxmms
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libtag1-vanilla, libtag-extras0
Replaces: libtag1c2a (<< 1.5-5)
Breaks: libtag1c2a (<< 1.5-5)
Description: audio meta-data library - RusXMMS flavour
 TagLib is a library for reading and editing the meta-data of several popular
 audio formats. Currently it supports both ID3v1 and ID3v2 for MP3 files, Ogg
 Vorbis comments and ID3 tags and Vorbis comments in FLAC, MPC, Speex, WavPack
 TrueAudio, WAV, AIFF, MP4 and ASF files.
 .
 This is the RusXMMS flavour of the TagLib Audio Meta-Data Library. It is
 patched with RusXMMS patch and adds support for autodetection of cyrillic
 encodings under Russian/Ukrainian/Belarusian locales.

Package: libtag1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libtag1c2a (= ${binary:Version}), ${misc:Depends}
Description: audio meta-data library - development files
 TagLib is a library for reading and editing the meta-data of several popular
 audio formats. Currently it supports both ID3v1 and ID3v2 for MP3 files, Ogg
 Vorbis comments and ID3 tags and Vorbis comments in FLAC, MPC, Speex, WavPack
 TrueAudio, WAV, AIFF, MP4 and ASF files.
 .
 This is the development package which contains headers and static libraries
 for the TagLib Audio Meta-Data Library.

Package: libtag1-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libtag1-dev
Description: audio meta-data library - API documentation
 TagLib is a library for reading and editing the meta-data of several popular
 audio formats. Currently it supports both ID3v1 and ID3v2 for MP3 files, Ogg
 Vorbis comments and ID3 tags and Vorbis comments in FLAC, MPC, Speex, WavPack
 TrueAudio, WAV, AIFF, MP4 and ASF files.
 .
 This is the documentation package which contains API documentation for the
 TagLib Audio Meta-Data Library.

Package: libtagc0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: audio meta-data library - C bindings
 TagLib is a library for reading and editing the meta-data of several popular
 audio formats. Currently it supports both ID3v1 and ID3v2 for MP3 files, Ogg
 Vorbis comments and ID3 tags and Vorbis comments in FLAC, MPC, Speex, WavPack
 TrueAudio, WAV, AIFF, MP4 and ASF files.
 .
 This is the runtime package for programs that use the TagLib Audio Meta-Data
 Library (C bindings).

Package: libtagc0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libtagc0 (= ${binary:Version}), libtag1-dev (= ${binary:Version}), ${misc:Depends}
Description: audio meta-data library - development files for C bindings
 TagLib is a library for reading and editing the meta-data of several popular
 audio formats. Currently it supports both ID3v1 and ID3v2 for MP3 files, Ogg
 Vorbis comments and ID3 tags and Vorbis comments in FLAC, MPC, Speex, WavPack
 TrueAudio, WAV, AIFF, MP4 and ASF files.
 .
 This is the development package which contains headers and static libraries
 for the TagLib Audio Meta-Data Library (C bindings).

=== debian/rules ===
#! /usr/bin/make -f

export CFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden
export CXXFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CMAKE_ARGS = -DCMAKE_USE_RELATIVE_PATHS=ON -DWITH_ASF=ON -DWITH_MP4=ON -DLIB_INSTALL_DIR:PATH=/usr/lib/$(DEB_HOST_MULTIARCH)
DH_AUTO_ARGS = --buildsystem=cmake
QUILT := quilt --quiltrc /dev/null
MAKE_ME = $(MAKE) -f $(lastword $(MAKEFILE_LIST))

FLAVOURS := vanilla rusxmms
flavour = $(filter-out %-,$(subst -,- ,$@))
builddir = builddir-$(flavour)

# Various "functions" (can be invoked via $(call ...))
buildstamp = $(patsubst %,debian/stamp-build-%,$(1))
quilt_safe = $(QUILT) $(1) || test $$? = 2

### Handle patching of rusxmms flavour ###
RUSXMMS_PATCH_DIR := debian/rusxmms-patches
RUSXMMS_PATCH_SERIES := debian/rusxmms-patches/series

$(RUSXMMS_PATCH_SERIES):
	cat $(wildcard debian/patches/series) $(RUSXMMS_PATCH_DIR)/rusxmms_series > $@

debian/stamp-patch-rusxmms: $(RUSXMMS_PATCH_SERIES)
	QUILT_PATCHES="$(RUSXMMS_PATCH_DIR)" $(call quilt_safe,push -a)
	touch $@

unpatch-rusxmms: $(RUSXMMS_PATCH_SERIES)
	lastpatch="$(shell QUILT_SERIES=debian/patches/series $(QUILT) series | tail -n1)"; \
	if [ -z "$$lastpatch" ]; then \
	    QUILT_PATCHES="$(RUSXMMS_PATCH_DIR)" $(call quilt_safe,pop -a); \
	elif $(QUILT) applied | grep -qF $$lastpatch; then \
	    QUILT_PATCHES="$(RUSXMMS_PATCH_DIR)" $(call quilt_safe,pop $$lastpatch); \
	fi

### Build rusxmms first, then build vanilla ###
$(call buildstamp,$(FLAVOURS)):
	@echo Building $(flavour)
	dh_auto_configure --builddirectory=$(builddir) $(DH_AUTO_ARGS) -- $(CMAKE_ARGS)
	dh_auto_build --builddirectory=$(builddir) $(DH_AUTO_ARGS)
	touch $@

$(call buildstamp,rusxmms): debian/stamp-patch-rusxmms
$(call buildstamp,vanilla): | unpatch-rusxmms

build:
	dh $@ --before dh_auto_configure
	$(MAKE_ME) $(call buildstamp,rusxmms)
	$(MAKE_ME) $(call buildstamp,vanilla)
	# Complete building
	dh $@ --after dh_auto_build $@

### Install / binary building ###
override_dh_auto_install:
	dh_auto_install --builddirectory=builddir-vanilla $(DH_AUTO_ARGS) 
	install -d -m755 debian/tmp-rusxmms/usr/lib/$(DEB_HOST_MULTIARCH)
	cp -a builddir-rusxmms/taglib/libtag.so.* debian/tmp-rusxmms/usr/lib/$(DEB_HOST_MULTIARCH)/

override_dh_installdocs:
	dh_installdocs
	# Install bindings README
	if [ -d debian/libtag1c2a ]; then \
	    install -m644 -oroot -groot -T bindings/README debian/libtag1c2a/usr/share/doc/libtag1c2a/README.bindings; \
	fi;

override_dh_install:
	dh_install -plibtag1-rusxmms --sourcedir=$(CURDIR)/debian/tmp-rusxmms
	dh_install -Nlibtag1-rusxmms

# Generate docs when building indep
doc/html/index.html: | build
	# build-indep gets invoked in buildds as well...
	if [ -x /usr/bin/doxygen ]; then \
	    dh_auto_build --buildsystem=makefile --builddirectory=builddir-vanilla -- docs; \
	fi

binary binary-indep: doc/html/index.html

clean: unpatch-rusxmms
	dh_auto_clean --builddirectory=builddir-vanilla $(DH_AUTO_ARGS)
	dh_auto_clean --builddirectory=builddir-rusxmms $(DH_AUTO_ARGS)
	rm -rf $(patsubst %,debian/tmp-%,$(FLAVOURS))
	rm -f debian/stamp-*
	rm -f $(RUSXMMS_PATCH_SERIES)
	# Clean documentation
	rm -rf doc/html
	dh clean

# All-in-one default dh rule
%:
	dh $@

## taglib 1.7.2

=== debian/changelog ===
taglib (1.7.2-1) unstable; urgency=medium

  * New upstream release:
    - fixed division by zero while parsing corrupted MP4 files (CVE-2012-2396);
    - fixed compilation on Haiku.
  * Update symbol files.
  * Urgency=medium, security fix.

 -- Modestas Vainius <modax@debian.org>  Thu, 28 Jun 2012 01:18:37 +0300

taglib (1.7.1-3) unstable; urgency=low

  * libtag1-dev and libtagc0-dev (libtag1-dev reverse dependency) are not
    Multi-Arch: same compatible, unmark them. (Closes: #670029)

 -- Modestas Vainius <modax@debian.org>  Sun, 29 Apr 2012 10:48:12 +0300

taglib (1.7.1-2) unstable; urgency=low

  * Replace build hook with dh_auto_configure override. This should be
    compatible with building package via binary-arch target. Fixes FTBFSes.
  * Hook doc/html/index.html to build-indep target. This is compat=9
    compatible.
  * Do not attempt to build some binary packages uselessly.
  * Fix patch to doc/html/index.html. It's in builddir-vanilla.

 -- Modestas Vainius <modax@debian.org>  Mon, 16 Apr 2012 22:22:26 +0300

taglib (1.7.1-1) unstable; urgency=high

  * New upstream release:
    - fixes security vulnerabilities: CVE-2012-1107, CVE-2012-1108
      and CVE-2012-1584. (Closes: #662705)
  * Bump Standards-Version to 3.9.3: no changes needed.
  * Drop upstream_doxygen_out_of_source.diff, merged upstream.
  * Drop backport_protection_against_broken_wma_files.diff, merged upstream.
  * Update symbol file.
  * Urgency=high due to security fixes.

 -- Modestas Vainius <modax@debian.org>  Sun, 15 Apr 2012 19:08:51 +0300

taglib (1.7-2) unstable; urgency=low

  * Backport some fixes from upstream repository: (Closes: #656226)
    - fix segfault when parsing some ID3v2 tags (patch
      backport_id3v2_null_pointer.diff);
    - partial protection against broken WMA files (patch
      backport_protection_against_broken_wma_files.diff).
  * Add Multi-arch support. (Closes: #651019) Implementation is mostly based on
    the patch from Steve Langasek. The only difference is bumping debhelper
    build dependency to 9.
  * Pass visibility options via DEB_{CFLAGS,CXXFLAGS}_MAINT_APPEND in order to
    inherit default flags from dh/dpkg-buildflags. This needs dpkg-dev 1.16.1
    hence build depend on it.
  * Enable parallel building.
  * Update symbol file.
  * Remove debian/libtag1-doc.lintian-overrides, no longer needed.

 -- Modestas Vainius <modax@debian.org>  Sun, 19 Feb 2012 21:47:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: taglib
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Modestas Vainius <modax@debian.org>
-Build-Depends: cmake (>= 2.6.2), debhelper (>= 8.1.3~), dpkg-dev (>= 1.15.3), quilt (>= 0.46-7~), zlib1g-dev, librcc-dev
+Maintainer: Modestas Vainius <modax@debian.org>
+Build-Depends: cmake (>= 2.6.2), debhelper (>= 9), dpkg-dev (>= 1.16.1), quilt (>= 0.46-7~), zlib1g-dev, librcc-dev
 Build-Depends-Indep: doxygen, graphviz, gsfonts-x11
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://developer.kde.org/~wheeler/taglib.html
 Vcs-Git: git://git.debian.org/users/modax/taglib.git
 Vcs-Browser: http://git.debian.org/?p=users/modax/taglib.git;a=summary
@@ -65,7 +64,6 @@
 Package: libtag1-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
 Depends: libtag1c2a (= ${binary:Version}), ${misc:Depends}
 Description: audio meta-data library - development files
  TagLib is a library for reading and editing the meta-data of several popular
@@ -107,8 +105,6 @@
 Package: libtagc0-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: libtagc0 (= ${binary:Version}), libtag1-dev (= ${binary:Version}), ${misc:Depends}
 Description: audio meta-data library - development files for C bindings
  TagLib is a library for reading and editing the meta-data of several popular

## taglib 1.8

=== debian/changelog ===
taglib (1.8-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.4: no further changes needed.
  * Upload to unstable.

 -- Modestas Vainius <modax@debian.org>  Tue, 28 May 2013 22:32:14 +0300

taglib (1.8-1) experimental; urgency=low

  * New upsteam release. (Closes: #687374)
  * Adapt multiarch.diff patch to upstream changes.
  * Drop backport_id3v2_null_pointer.diff patch, merged upstream.
  * Adapt rusxmms patch to upstream changes.
  * Update symbol files. All removed symbols were either private or optional.
  * Update install files: new headers added to libtag1-dev.
  * Update debian/copyright with a new project homepage on GitHub.
    (Closes: #688504) Likewise, update debian/watch.
  * Update upstream author information in debian/copyright.
  * Build with -NDEBUG by default (unless noopt was requested). This will
    suppress excessive pollution of stderr. (Closes: #632687)

 -- Modestas Vainius <modax@debian.org>  Sun, 30 Sep 2012 02:27:46 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Modestas Vainius <modax@debian.org>
 Build-Depends: cmake (>= 2.6.2), debhelper (>= 9), dpkg-dev (>= 1.16.1), quilt (>= 0.46-7~), zlib1g-dev, librcc-dev
 Build-Depends-Indep: doxygen, graphviz, gsfonts-x11
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://developer.kde.org/~wheeler/taglib.html
 Vcs-Git: git://git.debian.org/users/modax/taglib.git
 Vcs-Browser: http://git.debian.org/?p=users/modax/taglib.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,14 @@
 #! /usr/bin/make -f
 
-export CFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden
-export CXXFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden
+export DEB_CFLAGS_MAINT_APPEND += -fvisibility=hidden -fvisibility-inlines-hidden
+export DEB_CXXFLAGS_MAINT_APPEND += -fvisibility=hidden -fvisibility-inlines-hidden
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+# Build with NDEBUG (i.e. no debug messages) unless noopt build was requested
+ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
+    export DEB_CFLAGS_MAINT_APPEND += -DNDEBUG
+    export DEB_CXXFLAGS_MAINT_APPEND += -DNDEBUG
+endif
 
 CMAKE_ARGS = -DCMAKE_USE_RELATIVE_PATHS=ON -DWITH_ASF=ON -DWITH_MP4=ON -DLIB_INSTALL_DIR:PATH=/usr/lib/$(DEB_HOST_MULTIARCH)
 DH_AUTO_ARGS = --buildsystem=cmake
@@ -15,6 +21,7 @@
 
 # Various "functions" (can be invoked via $(call ...))
 buildstamp = $(patsubst %,debian/stamp-build-%,$(1))
+libpkg = libtag1-$(1)
 quilt_safe = $(QUILT) $(1) || test $$? = 2
 
 ### Handle patching of rusxmms flavour ###
@@ -39,25 +46,30 @@
 ### Build rusxmms first, then build vanilla ###
 $(call buildstamp,$(FLAVOURS)):
 	@echo Building $(flavour)
-	dh_auto_configure --builddirectory=$(builddir) $(DH_AUTO_ARGS) -- $(CMAKE_ARGS)
-	dh_auto_build --builddirectory=$(builddir) $(DH_AUTO_ARGS)
+	dh_auto_configure --parallel --builddirectory=$(builddir) $(DH_AUTO_ARGS) -- $(CMAKE_ARGS)
+	dh_auto_build --parallel --builddirectory=$(builddir) $(DH_AUTO_ARGS)
 	touch $@
 
 $(call buildstamp,rusxmms): debian/stamp-patch-rusxmms
 $(call buildstamp,vanilla): | unpatch-rusxmms
 
-build:
-	dh $@ --before dh_auto_configure
+override_dh_auto_configure:
+ifneq ($(shell dh_listpackages -p$(call libpkg,rusxmms)),)
 	$(MAKE_ME) $(call buildstamp,rusxmms)
+endif
+ifneq ($(shell dh_listpackages -p$(call libpkg,vanilla)),)
 	$(MAKE_ME) $(call buildstamp,vanilla)
-	# Complete building
-	dh $@ --after dh_auto_build $@
+endif
 
 ### Install / binary building ###
 override_dh_auto_install:
-	dh_auto_install --builddirectory=builddir-vanilla $(DH_AUTO_ARGS) 
+ifneq ($(shell dh_listpackages -p$(call libpkg,vanilla)),)
+	dh_auto_install --builddirectory=builddir-vanilla $(DH_AUTO_ARGS)
+endif
+ifneq ($(shell dh_listpackages -p$(call libpkg,rusxmms)),)
 	install -d -m755 debian/tmp-rusxmms/usr/lib/$(DEB_HOST_MULTIARCH)
 	cp -a builddir-rusxmms/taglib/libtag.so.* debian/tmp-rusxmms/usr/lib/$(DEB_HOST_MULTIARCH)/
+endif
 
 override_dh_installdocs:
 	dh_installdocs
@@ -71,13 +83,13 @@
 	dh_install -Nlibtag1-rusxmms
 
 # Generate docs when building indep
-doc/html/index.html: | build
+builddir-vanilla/doc/html/index.html: $(call buildstamp,vanilla)
 	# build-indep gets invoked in buildds as well...
 	if [ -x /usr/bin/doxygen ]; then \
 	    dh_auto_build --buildsystem=makefile --builddirectory=builddir-vanilla -- docs; \
 	fi
 
-binary binary-indep: doc/html/index.html
+build-indep: builddir-vanilla/doc/html/index.html
 
 clean: unpatch-rusxmms
 	dh_auto_clean --builddirectory=builddir-vanilla $(DH_AUTO_ARGS)
@@ -91,4 +103,4 @@
 
 # All-in-one default dh rule
 %:
-	dh $@
+	dh $@ --parallel
